Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
iOSPlatState Class Reference

`#include <platformiOS.h>`

## Public Member Functions
| iOSPlatState ()

## Public Attributes
bool | captureDisplay
bool | fadeWindows
id | appID
UIView * | Window
char | appWindowTitle [256]
bool | quit
T2DView * | ctx
T2DViewController * | viewController
bool | ctxNeedsUpdate
bool | portrait
S32 | desktopBitsPixel
S32 | desktopWidth
S32 | desktopHeight
U32 | currentTime
bool | fullscreen
U32 | osVersion
bool | tsmActive
U32 | firstThreadId
U32 | torqueThreadId
void * | alertSemaphore
S32 | alertHit
RandomLCG | platRandom
bool | mouseLocked
bool | backgrounded
bool | minimized
S32 | sleepTicks
S32 | lastTimeTick
Point2I | windowSize
U32 | appReturn
U32 | argc
const char ** | argv
StringTableEntry | mainDotCsDir
NSTimer * | mainLoopTimer
NSTimeInterval | timerInterval
UIApplication * | application
bool | multipleTouchesEnabled

## Constructor & Destructor Documentation

iOSPlatState | ( |  | ) |

## Member Data Documentation

S32 alertHit

void* alertSemaphore

id appID

UIApplication* application

U32 appReturn

char appWindowTitle[256]

U32 argc

const char** argv

bool backgrounded

bool captureDisplay

T2DView* ctx

bool ctxNeedsUpdate

U32 currentTime

S32 desktopBitsPixel

S32 desktopHeight

S32 desktopWidth

bool fadeWindows

U32 firstThreadId

bool fullscreen

S32 lastTimeTick

StringTableEntry mainDotCsDir

NSTimer* mainLoopTimer

bool minimized

bool mouseLocked

bool multipleTouchesEnabled

U32 osVersion

RandomLCG platRandom

bool portrait

bool quit

S32 sleepTicks

NSTimeInterval timerInterval

U32 torqueThreadId

bool tsmActive

T2DViewController* viewController

UIView* Window

Point2I windowSize

The documentation for this class was generated from the following files:

- platformiOS/platformiOS.h
- platformiOS/iOSWindow.mm